package com.gh.gamecenter.message.provider

import android.content.Context
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.ICheckLoginProvider
import com.gh.gamecenter.message.CheckLoginUtils

@com.therouter.inject.ServiceProvider
class CheckLoginProviderImpl : ICheckLoginProvider {
    override fun checkLogin(context: Context, entrance: String, action: (() -> Unit)?) {
        CheckLoginUtils.checkLogin(context, entrance, action)
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}